-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Creato il: Mar 15, 2023 alle 19:58
-- Versione del server: 10.4.27-MariaDB
-- Versione PHP: 8.2.0

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `bed&breakfast`
--

-- --------------------------------------------------------

--
-- Struttura della tabella `classificazioni`
--

CREATE TABLE `classificazioni` (
  `idcategoria` int(11) NOT NULL,
  `categoria` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `classificazioni`
--

INSERT INTO `classificazioni` (`idcategoria`, `categoria`) VALUES
(1, 'Mare'),
(2, 'Montagna'),
(3, 'Citta');

-- --------------------------------------------------------

--
-- Struttura della tabella `regioni`
--

CREATE TABLE `regioni` (
  `idregione` int(11) NOT NULL,
  `regione` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `regioni`
--

INSERT INTO `regioni` (`idregione`, `regione`) VALUES
(1, 'Campania'),
(2, 'Toscana'),
(3, 'Veneto');

-- --------------------------------------------------------

--
-- Struttura della tabella `strutture`
--

CREATE TABLE `strutture` (
  `idstruttura` int(11) NOT NULL,
  `nome` varchar(255) DEFAULT NULL,
  `localita` varchar(255) DEFAULT NULL,
  `provincia` varchar(255) DEFAULT NULL,
  `indirizzo` varchar(255) DEFAULT NULL,
  `telefono` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `prezzopernotte` float DEFAULT NULL,
  `idcategoria` int(11) DEFAULT NULL,
  `idregione` int(11) DEFAULT NULL,
  `foto` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `strutture`
--

INSERT INTO `strutture` (`idstruttura`, `nome`, `localita`, `provincia`, `indirizzo`, `telefono`, `email`, `prezzopernotte`, `idcategoria`, `idregione`, `foto`) VALUES
(1, 'B&B San Pietro', 'Ischia', 'Napoli', 'Via Venanzio Marone, 25, 80077 Ischia NA', '081984653', 'reservations@bbsanpietroischia.it', 97, 1, 1, 'localhostphpmyadminimgimgspietro.jpg'),
(2, 'B&B DormiVeglia', 'Monte San Savino', 'Arezzo', 'Via Aretina 12, 52048 Monte San Savino, AR', '3334300755', 'info@dormivegliabnb.it', 79, 2, 2, NULL),
(3, 'B&B Fralillo', 'Verona', 'Verona', 'Via Francesco Berni, 18, 37122 Verona, VR', '3486185877', NULL, 62, 3, 3, NULL);

--
-- Indici per le tabelle scaricate
--

--
-- Indici per le tabelle `classificazioni`
--
ALTER TABLE `classificazioni`
  ADD PRIMARY KEY (`idcategoria`);

--
-- Indici per le tabelle `regioni`
--
ALTER TABLE `regioni`
  ADD PRIMARY KEY (`idregione`);

--
-- Indici per le tabelle `strutture`
--
ALTER TABLE `strutture`
  ADD PRIMARY KEY (`idstruttura`),
  ADD KEY `idcategoria` (`idcategoria`),
  ADD KEY `idregione` (`idregione`);

--
-- AUTO_INCREMENT per le tabelle scaricate
--

--
-- AUTO_INCREMENT per la tabella `classificazioni`
--
ALTER TABLE `classificazioni`
  MODIFY `idcategoria` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT per la tabella `regioni`
--
ALTER TABLE `regioni`
  MODIFY `idregione` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT per la tabella `strutture`
--
ALTER TABLE `strutture`
  MODIFY `idstruttura` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- Limiti per le tabelle scaricate
--

--
-- Limiti per la tabella `strutture`
--
ALTER TABLE `strutture`
  ADD CONSTRAINT `strutture_ibfk_1` FOREIGN KEY (`idcategoria`) REFERENCES `classificazioni` (`idcategoria`),
  ADD CONSTRAINT `strutture_ibfk_2` FOREIGN KEY (`idregione`) REFERENCES `regioni` (`idregione`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
